Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007613opensim[REGION] OpenSim Corepublic2015-06-14 03:352019-02-05 12:27
Reporteraiaustin 
Assigned Toaiaustin 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS Version8.1
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0007613: ScriptsHttpRequests.cs Tidy Compiler Warnings
DescriptionThere are two compiler warnings issued on a compile of r/26072 (12-Jun-2015) under Windows 8.1 for ScriptsHttpRequests.cs related to obselete certificatePolicy mechanisms ...

Scripting\HttpRequest\ScriptsHttpRequests.cs(142,21): warning CS0618: 'System.Net.ServicePointManager.CertificatePolicy' is obsolete: 'CertificatePolicy is obsoleted for this type, please use ServerCertificateValidationCallback instead. http://go.microsoft.com/fwlink/?linkid=14202' [^] [D:\Temp\opensim-54c1659\OpenSim\Region\CoreModules\OpenSim.Region.CoreModules.csproj]

Scripting\HttpRequest\ScriptsHttpRequests.cs(144,28): warning CS0618: 'System.Net.ServicePointManager.CertificatePolicy' is obsolete: 'CertificatePolicy is obsoleted for this type, please use ServerCertificateValidationCallback instead. http://go.microsoft.com/fwlink/?linkid=14202' [^] [D:\Temp\opensim-54c1659\OpenSim\Region\CoreModules\OpenSim.Region.CoreModules.csproj]

and one related to a test for the same code...

Scripting\HttpRequest\Tests\ScriptsHttpRequestsTests.cs(100,15): warning CS0618: 'System.Net.HttpWebResponse.HttpWebResponse(System.Runtime.Serialization.SerializationInfo, System.Runtime.Serialization.StreamingContext)' is obsolete: 'Serialization is obsoleted for this type. http://go.microsoft.com/fwlink/?linkid=14202' [^] [D:\Temp\opensim-54c1659\OpenSim\Region\CoreModules\OpenSim.Region.CoreModules.Tests.csproj
TagsNo tags attached.
Git Revision or version numberr/27072
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
ViewerN/A
Attached Files

- Relationships

-  Notes
(0034120)
tampa (reporter)
2019-02-04 10:49

Only reference in said file is at line 508, the warning is now being suppressed however.

https://docs.microsoft.com/en-us/dotnet/api/system.net.servicepointmanager.certificatepolicy?view=netframework-4.7.2 [^]

Can't say whether the substitute is a direct dropin replacement though.
(0034123)
aiaustin (developer)
2019-02-04 12:35

Resolved now. In Windows there are no compiler warnings at the moment. Some warnings are reported to still be present in Linux.
(0034299)
BillBlight (developer)
2019-02-05 12:27

Old Issues, closed, can be reopened if they still exist

- Issue History
Date Modified Username Field Change
2015-06-14 03:35 aiaustin New Issue
2015-06-14 03:39 aiaustin Summary ScriptsHttpRequests.cs Tidy Compiler Warning Comments => ScriptsHttpRequests.cs Tidy Compiler Warnings
2019-02-04 10:49 tampa Note Added: 0034120
2019-02-04 12:35 aiaustin Note Added: 0034123
2019-02-04 12:35 aiaustin Status new => resolved
2019-02-04 12:35 aiaustin Resolution open => fixed
2019-02-04 12:35 aiaustin Assigned To => aiaustin
2019-02-05 12:27 BillBlight Note Added: 0034299
2019-02-05 12:27 BillBlight Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker